Subject: RE: Charter questions

From: "Durham, David" <[email-masked]>
Date: Tue, 22 Jan 2002 09:45:26 -0800

Hi Bert,
I think if you check the archive, there have been a number of presentations
to the AAA WG on  the subject of the Bind PIB. Likewise some of the authors
would appear to be AAA people. So clearly the AAA WG should be aware of this
work. As I recall (from being in the AAA audience when one of these
presentations were given) the work in question was determined to be outside
the scope of that WG... That being a generalized multi-protocol and
multi-provisioning (eg. DiffServ) mechanism for allocating network
resources. It is, however, very much in the scope of a resource allocation
protocol WG... And so RAP is where it ended up.

Also, on an unrelated note, I have made several ID contributions and
presentations to the AAA WG. I worked to encourage AAA to adopt data
modeling practices and bring their output in line with SNMP/SMIng and the
other many protocol/data model combos out there. Such would allow all these
many diverse technologies to work together at the data model level, and
bring some level of coherency to the O&M area. Juergen gave some
presentations and submitted an ID exactly to this end. This too was
determined to be out-of-scope and unrealistic from their time-line
perspective.
-Dave 

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: Sunday, January 20, 2002 3:56 AM
> To: Durham, David; [email-masked]'
> Cc: 'Randy Bush'; Bernard Aboba; 'David Mitton'
> Subject: RE: Charter questions
> 
> 
> I have added the two AAA WG chairs.
> Bernard/David, do you want the type of discussion on the
> AAA mailing list as I suggest below, or would you rather
> direct some of the AAA paritipants to the RAP WG mailing 
> list?
> 
> Dave Durham writes:
> > Hi Bert,
> > 
> > I took another look at the access-bind PIB and I disagree with your
> > assertion. 
> > 
> Pls.. read my posting again. I did not make any assertion yet.
> I reported what type of questions were/are coming my way.
> and I do notice that we have an explicit statement in teh charter
> that tells us to interact with AAA WG about these types of matters.
> 
> So I was asking: 
> 
>  So what kind of action has the WG taken or WILL the WG take
>  in order to make sure that we do not overlap or compete
>  in this space?
> 
> And so it seems that you do not agree with the allegations that
> seem implicit in the questions that are getting to me. And so 
> it seems that there is a NEED to interact with the AAA WG to
> see where both WGs stand and how they understand each others
> work.
> 
> So a way to start a discussion with the AAA WG chairs, or 	
> on the AAA WG list and use the following text as a way to start
> discussion as to the matter of overlap/conflict of work.
> 
> > The whole point of that work is about binding all those 
> > diverse signaling protocols so they may work together AND 
> > the required device resources may be properly allocated in
> > a coordinated fashion. That certainly seems a good thing to
> > do and within the charter of a resource allocation protocol.
> > 
> > I hardly see how a network can work without giving some 
> > semblance as to how these many diverse signaling mechanisms
> > (RSVP, RSVP-TE, SIP, etc.) can work together given limited
> > and already partially provisioned network resources.
> > Their approach in the Access-Bind PIB seems to me to be an 
> > elegant way to deal with this complex problem.
> > 
> > -Dave
> > 
> Bert
>

---

From: Bernard Aboba <[email-masked]>
Date: Tue, 22 Jan 2002 12:21:07 -0800 (PST)

> to the AAA WG on  the subject of the Bind PIB.

I have checked the IETF AAA WG proceedings. There was a presentation from
the AAARCH folks on data modelling, but none on the Bind PIB, as far as I
can tell. Can you provide more information on the meetings at which this
presentation was made? 

> Likewise some of the authors would appear to be AAA people. 

Ah... the people involved were from AAARCH IRTF WG, *not* the AAA WG. Was
the Bind PIB perhaps presented in AAARCH? 

> So clearly the AAA WG should be aware of this work. 

I think you mean AAARCH IRTG WG, not AAA WG, right? 

> As I recall (from being in the AAA audience when one of these
> the scope of that WG... 

Check the proceedings again. No such decision was made -- the WG
did decide not to *mandate* support for data modelling, but left open
including optional data modelling support, and encouraged further
refinement of the SMIng proposals. 

> Juergen gave some

It wasn't determined to be out of scope -- the WG just decided not to
mandate support for it.